Subject: Ticket Assigned - the order number is 9595416443. is still not arrived
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 17 Nov 2022 11:01:34 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  the order number is 9595416443. is still not arrived Dear Team,

The order number is 9595416443.

I was supposed to receive my order on Monday, 14th November 2022

But till today I did not receive any update about my order,

I Tried contacting the live chat and landline multiple times, but no
actions were taken.

Is this the way you deal with customers?

So far I did not get any updates on my order nor has the delivery team
contacted me on mentioned number i.e 971 522 72 8919

I hope you will take the right action and deliver my order by today 17th
November

Thanks & Regards

Ayesha Banu
971 522 72 8919

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5285854